from gpanel import *
from vector import Vector


makeGPanel(Size(800,800))  # Fenster oeffnen
window(0, 800, 0, 800)     # Koordinatensystem

# t: Parameter in [0,1]
# pts: Liste von Vektoren (Kontrollpunkte, min. 1 Punkt)
def combine(t, pts):
    while len(pts)>1:
        # Alternative: pts = [(1-t)*pts[i] + t*pts[i+1] for i in range(0, len(pts)-1)]
        neu =[]
        for i in range(0, len(pts)-1):
            neu.append((1-t)*pts[i] + t*pts[i+1])
            neu[-1].dot()
        pts = neu
    return pts[0]  # Resultat als erstes (und einziges) Element der Liste

pts = [Vector(20,100),Vector(60,700),Vector(500,30), Vector(800,700)]
n = 50  # Anzahl Punkte
for i in range(n+1):
    t = i/n  # Parameter t im Intervall [0,1]
    p = combine(t,pts)
    p.dot()
    